# Class: WpPlugin — Documentation by YARD 0.8.6.1

Class List Method List File List

# Class: WpPlugin

Inherits:
  WpItem
  - Object
  - WpItem
  - WpPlugin
  show all
Includes:
  Vulnerable
Defined in:
  lib/common/models/wp_plugin.rb,
  lib/common/models/wp_plugin/vulnerable.rb

## Defined Under Namespace

Modules: Vulnerable

## Instance Attribute Summary

### Attributes inherited from WpItem

#found_from, #name, #path, #version, #wp_content_dir, #wp_plugins_dir

### Attributes included from WpItem::Vulnerable

#vulns_file, #vulns_xpath

## Instance Method Summary (collapse)

- - (void) forge_uri(target_base_uri)

  Sets the @uri.

### Methods included from Vulnerable

#vulns_file, #vulns_xpath

### Methods inherited from WpItem

#<=>, #==, #===, #allowed_options, #initialize, #set_options, #uri, #url

### Methods included from WpItem::Output

#output

### Methods included from WpItem::Infos

#changelog_url, #error_log_url, #has_changelog?, #has_directory_listing?, #has_error_log?, #has_readme?, #readme_url, #url_is_200?

### Methods included from WpItem::Existable

#exists?, #exists_from_response?

### Methods included from WpItem::Vulnerable

#vulnerabilities, #vulnerable_to?

### Methods included from WpItem::Versionable

#to_s, #version

## Constructor Details

This class inherits a constructor from WpItem

## Instance Method Details

### - (`void`) forge_uri(target_base_uri)

This method returns an undefined value.

Sets the @uri

Parameters:

- target_base_uri (`URI`) —

  The URI of the wordpress blog

    13
    14
    15

    # File 'lib/common/models/wp_plugin.rb', line 13

    def forge_uri(target_base_uri)
      @uri = target_base_uri.merge(URI.encode(wp_plugins_dir + '/' + name + '/'))
    end